petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscTimeSubtract

Subtracts the current time of day (in seconds) from the value v.

### Synopsis

    #include <petsctime.h>
    PetscTimeSubtract(&PetscLogDouble *v)

Not Collective Many br

### Input Parameter

v -time counter Many br

### Output Parameter

v -time counter (v = v - current time) Many br

Many br

### Notes

Since the PETSc libraries incorporate timing of phases and operations, Many brwe do not every recommend using PetscTimeSubtract() Many brThe options database command -log_summary activates Many brPETSc library timing. See Users-Manual: Chapter 13 Profiling for more details, also Many brsee PetscLogStageRegister(), PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd() for how to register Many brstages and events in application codes. Many br

### See Also

PetscTime(), PetscTimeAdd(), PetscLogStageRegister(), PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd()

### Keywords

Petsc, time, subtract

Level:developer
Location:src/sys/time/../../../include/petsctime.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages